#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	ao
#-----------------------------------------------------------------------------
Name		:	libao
Version		:	1.2.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A Cross-platform Audio Library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://downloads.xiph.org/releases/ao

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
Buildrequires	:	alsa-lib

#-----------------------------------------------------------------------------
%description
Libao is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.  It currently
supports:
   * Null output
   * WAV files
   * OSS (Open Sound System)
   * ESD (ESounD or Enlightened Sound Daemon)
   * ALSA (Advanced Linux Sound Architecture)
   * PulseAudio (next generation GNOME sound server)
   * AIX
   * Solaris (untested)
   * IRIX (untested)

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure							\
        --prefix=%{_prefix}					\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_includedir}/%{shortname}/*.h
%{_libdir}/ckport/db/%{name}.ckport
%{_libdir}/%{shortname}/plugins-4/lib*.{la,so}
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{shortname}.pc
%{_datadir}/aclocal/%{shortname}.m4
%{_defaultdocdir}/%{name}-%{version}/*.html
%{_defaultdocdir}/%{name}-%{version}/style.css
%{_defaultdocdir}/%{name}-%{version}/%{shortname}_example.c
%{_mandir}/man5/%{name}.conf.5.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
